<div class="modal-header">
    <h4 id="dialog-sizes-name1" class="modal-title pull-left">Modifica della Voce Daco {{daco.code}} </h4>
</div>
<div class="modal-body">
    <form #editDacoForm="ngForm" name="editDaco">
        <div class=" form-group row">
            <div class="input-group">
                <div class="col-md-4"><strong><label>Descrizione Daco</label></strong></div>
                <div class="col"
                    [ngClass]="{'has-error' : (dacoDescrRef.invalid && (dacoDescrRef.dirty || dacoDescrRef.touched))}">
                    <input style="text-align: center;" type="text" [(ngModel)]="daco.description" name="description"
                        class="form-control" #dacoDescrRef="ngModel" rows="2" required>
                    <div *ngIf="(dacoDescrRef.invalid && (dacoDescrRef.dirty || dacoDescrRef.touched))"
                        class="validation-messages">
                        <div  *ngIf="dacoDescrRef.errors.required; then requiredErr else invalidErr">
                        </div>
                        <ng-template #requiredErr>Campo obbligatorio</ng-template>
                        <ng-template #invalidErr>{{dacoDescrRef.errors.error}}</ng-template>
                    </div>
                </div>

            </div>
        </div>

        <br>
        <div class="form-group row">
            <div class="input-group">
                <div class="col-md-4"><strong><label>Data fine validità</label></strong></div>
                <div class="col-md-8"><input style="text-align: center;" [placeholder]="daco.endDate==null ? '' : daco.endDate | date:'dd/MM/yyyy'" type="text"
                        autocomplete="off" class="form-control" [(ngModel)]="daco.endDate" name="endDate" bsDatepicker
                        [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                        [bsValue]="daco.endDate" #competenceDateRef="ngModel"></div>
            </div>

        </div>
    </form>
<hr>
    <div class="row">
            <div class="col">
                    <button (click)="close()" class="btn btn-sm btn-danger buttonCancel">Annulla</button>
                <button (click)="confirmChange()"  [disabled]=" !editDacoForm.valid"
                    class="btn btn-sm btn-success buttonConfirm">Conferma</button>
                </div>
            
        </div>
</div>
